//
//  Folder.h
//  sdb
//
//  Created by dka on 25.07.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import "restObject.h"

@interface Folder : restObject

/**
 * Creates a Object with the given JSON Values as separate properties
 * @param jsonData the Data of the Object in JSON Format
 * @return the object
 */
-(Folder*) initWithDictionary:(NSDictionary*)jsonData;

/**
 * Loads the Objects Children from the Server
 * @return NSMutableArray with Children ( Documents / Folders )
 */
-(NSMutableArray*) getChildren;

/**
 * Searchs the Objects Children from the Server
 + @param searchString text to search for on the Server
 * @return NSMutableArray with Children ( Documents / Folders )
 */
-(NSMutableArray*) search:(NSString*)searchString;

/**
 * Downloads a total Folder as zip file
 */
-(NSData*) download;


@end
