//
//  LocaleKeys.h
//  sdb
//
//  Created by dka on 19.09.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NSString+localeFormatter.h"

@interface LocaleKeys : NSDictionary {
    NSString *etag;
}

/**
 * A Dictionary of the LocalizatioKeys
 */
@property (nonatomic, strong) NSMutableDictionary *localizationKeys;

/**
 * Inits or returns the singleton
 */
+ (LocaleKeys *)sharedInstance;

/**
 * ReInits the Locale on connection change
 */
-(void) reInit;

/**
 * Read a localized String from the Services Locale Database
 * @param key the name of the String
 * @return the localized String
 */
-(NSString*) getString:(NSString*)key;

@end
