//
//  ObjectImage.h
//  sdb
//
//  Created by dka on 10.09.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#if TARGET_OS_IPHONE
@interface ObjectImage : UIImage
#else 
@interface ObjectImage : NSImage
#endif

/**
 * The ID of the Object the Image belongs to
 */
@property (nonatomic, strong) NSString *objectID;

/**
 * Creates a ObjectImage Object for call backs wit the original ID
 * @param data the Data of the Object
 * @param aObjectID the ObjectID so we can find out if it is the right on in an async call
 * @return the created ObjectImage
 */
-(ObjectImage*)imageWithData:(NSData *)data forObject:(NSString*)aObjectID;

@end
