//
//  NSString+stringFromDate.h
//  sdb
//
//  Created by dka on 13.09.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (stringFromDate)

/**
 * Creates a String from the given Date
 * @param date the Date
 * @return the String
 */
+(NSString*) stringFromDate:(NSDate*)date;

/**
 * Creates a string depending on given format from the given date
 * @param date the date
 * @param format the dateFormatString
 * @return the String
 */
+(NSString*) stringFromDate:(NSDate*)date withFormat:(NSString*) theDateFormatString;

/**
 * Creates a String from the given Date in short Style
 * @param date the Date
 * @return the String
 */
+(NSString*) stringFromDateShort:(NSDate*)date;

/**
 * Creates a ChatSting from the given Date
 * @param date the Date
 * @return the String
 */
+(NSString*) getChatFormatString:(NSDate*)date;

@end
