//
//  StatesObject.h
//  sdb
//
//  Created by Daniel Kalwitzki on 28.10.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface StatesObject : NSObject {
    NSMutableArray *states;
}

/**
 * Init the boolean States fom the given states Array
 * @param someStates String Array of states
 */
-(void) initStates:(NSMutableArray*)someStates;

/**
 * Reads the background states Array of the object
 * @return string Array for the objects states for the rest service
 */
-(NSMutableArray*) readStates;

/**
 * Method to be overwritten by the Objects to update the Object
 *
 */
-(void) save;

/**
 * Sets the internal string State in the States Array to RECYCLED and updates the object
 * 
 */
-(void) moveToRecyleBin;

/**
 * Resets the internal string State in the States Array from RECYCLED and updates the object
 * 
 */
-(void) restoreFromRecycleBin;

/**
 * Return the platform specific SyncState for a element
 * @return SyncState for the platform
 */
-(bool) isSynchronize;

/**
 * Bool that determines if the Object is in the RecycleBin
 */
@property (nonatomic, assign) BOOL isRecycled;
/**
 * Bool that determines if the Object is shared
 */
@property (nonatomic, assign) BOOL isShared;
/**
 * Bool that determines if the Object is Synchronized on Web Clients
 */
@property (nonatomic, assign) BOOL isSynchronizeWeb;
/**
 * Bool that determines if the Object is Synchronized on Apps
 */
@property (nonatomic, assign) BOOL isSynchronizeApp;
/**
 * Bool that determines if the Object is Synchronized on Desktops
 */
@property (nonatomic, assign) BOOL isSynchronizeDesktop;
/**
 * Bool that determines if the Object is Crypted
 */
@property (nonatomic, assign) BOOL isCrypted;
/**
 * Bool that determines if the Object has Comments
 */
@property (nonatomic, assign) BOOL isCommented;
/**
 * Bool that determines if the Object has Links
 */
@property (nonatomic, assign) BOOL isLinked;
/**
 * Bool that determines if the Object is marked as Favorite
 */
@property (nonatomic, assign) BOOL isFavored;
/**
 * Bool that determines if the Object is under Comlpiance
 */
@property (nonatomic, assign) BOOL isCompliant;

@end
