//
//  Syncer.h
//  sdb
//
//  Created by Daniel Kalwitzki on 02.02.13.
//  Copyright (c) 2013 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Syncer : NSObject {
    bool isSyncing;
    bool callRunning;
    int syncLoadSpaces;
}

@property (nonatomic, strong) id delegate;
@property (nonatomic, assign) bool debugMode;
@property (nonatomic, assign) bool shouldCancelSync;
@property (nonatomic, strong) NSMutableArray *syncDB;
@property (nonatomic, strong) NSMutableArray *autoWLans;
@property (nonatomic, strong) NSString *syncDBPath;
#if TARGET_OS_IPHONE
@property (nonatomic, assign) dispatch_queue_t workerQueue;
#else
@property (nonatomic, strong) dispatch_queue_t workerQueue;
#endif
@property (nonatomic, assign) long estimated;

/**
 * Asks the Syncer if the Sync is currently running
 * @return NSNumber withBOOL 
 */
-(NSNumber*) isSyncRunning;

/**
 * Starts the sync if the current connected wlan is in the list of the current AutoSyncWlans list
 * @return YES if should sync
 */
-(bool) autoSync;

/**
 * Gets the count of Spaces to sync
 * @return count of spaces to sync
 */
-(int) getSyncLoadSpaces;

/**
 * Checks the count of Spaces to sync
 * @return count of spaces to sync
 */
-(int) checkSpaces:(NSMutableArray*)spaces;

/**
 * Tells the Syncer to sync the offline elements
 */
-(void) sync;

/**
 * Tells the Syncer to cancel the sync the offline elements
 */
-(void) cancelSync;

/**
 * Drops the SyncDB
 */
-(void) dropSyncDB;

/**
 * Indicates if Syncprocess is running
 */
- (bool)isSyncInProgress;

/**
 * Creates and delivers the singleton
 * @return returns the singleton
 */
+ (Syncer *) sharedInstance;

@end
