//
//  System.h
//  sdb
//
//  Created by dka on 01.08.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface System : NSObject {
    id delegate;
}

@property (nonatomic, strong) NSString *type;
/**
 * The Services build Time
 */
@property (nonatomic, strong) NSDate *buildTime;
/**
 * The Services build version
 */
@property (nonatomic, strong) NSString *version;
/**
 * The Services build number
 */
@property (nonatomic, strong) NSString *buildNumber;

/**
 * Converts the local Object to a NSDictionary so the JSONParser can deserialize it on send
 * @return NSDictionary of the object in key/values
 */
-(NSMutableDictionary*) dictionaryFromObject;

/**
 * Creates a new Instance with the given JSON Values a properties
 * @return a Company
 */
-(System*) initWithDictionary:(NSDictionary*)jsonData;

/**
 * Creates a independent copy of the Object
 * @return the object
 */
-(id) copy;

@end
