//
//  Token.h
//  sdb
//
//  Created by dka on 01.08.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Token : NSObject {
    id delegate;
}

@property (nonatomic, strong) NSString *type;
/**
 * The Tokens expire Date
 */
@property (nonatomic, strong) NSDate *expireDate;
@property (nonatomic, strong) NSNumber *expires;
/**
 * The Token
 */
@property (nonatomic, strong) NSString *token;
/**
 * The Tokens Options
 */
@property (nonatomic, strong) NSMutableArray *options;

/**
 * Checks locally if the current Token is still valid
 * @return bool that indicates if the Token is still valid
 */
-(bool) isValid;

/**
 * Converts the local Object to a NSDictionary so the JSONParser can deserialize it on send
 * @return NSDictionary of the object in key/values
 */
-(NSMutableDictionary*) dictionaryFromObject;

/**
 * Creates a new Instance with the given JSON Values a properties
 * @return a Company
 */
-(Token*) initWithDictionary:(NSDictionary*)jsonData;

/**
 * Creates a independent copy of the Object
 * @return the object
 */
-(id) copy;

@end
