//
//  Company.h
//  sdb
//
//  Created by dka on 01.08.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Company : NSObject {
    id delegate;
}

@property (nonatomic, strong) NSString *id;
@property (nonatomic, strong) NSString *type;
/**
 * The Name of the Company
 */
@property (nonatomic, strong) NSString *name;
/**
 * The UserLimit of the Company
 */
@property (nonatomic, strong) NSNumber *userLimit;
/**
 * The Currently used Users of the Company
 */
@property (nonatomic, strong) NSNumber *usedUsers;
/**
 * The StorageLimit of the Company in MB
 */
@property (nonatomic, strong) NSNumber *storageLimit;
/**
 * The used Storage of the Company in MB
 */
@property (nonatomic, strong) NSNumber *usedStorage;
/**
 * The free Storage of the Company in Percentage
 */
@property (nonatomic, assign) float freeStoragePercetage;

/**
 * Converts the local Object to a NSDictionary so the JSONParser can deserialize it on send
 * @return NSDictionary of the object in key/values
 */
-(NSMutableDictionary*) dictionaryFromObject;

/**
 * Creates a new Instance with the given JSON Values a properties
 * @return a Company
 */
-(Company*) initWithDictionary:(NSDictionary*)jsonData;

/**
 * Creates a independent copy of the Object
 * @return the object
 */
-(id) copy;

@end
